<package name="org.scilab.modules.renderer.textDrawing">
  <object name="StandardTextDrawerGL">
    <method name="display" returnType="void">
    </method>
    <method name="initializeDrawing" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="endDrawing" returnType="void">
    </method>
    <method name="show" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="destroy" returnType="void">
      <param type="int" name="parentFigureIndex" />
    </method>
    <method name="setTextParameters" returnType="void">
      <param type="int" name="textAlignment" />
      <param type="int" name="color" />
      <param type="int" name="fontStyle" />
      <param type="double" name="fontSize" />
      <param type="double" name="rotationAngle" />
      <param type="boolean" name="useFractionalMetrics" />
    </method>
    <method name="setBoxDrawingParameters" returnType="void">
      <param type="boolean" name="drawBoxLine" />
      <param type="boolean" name="drawBoxBackground" />
      <param type="int" name="lineColor" />
      <param type="int" name="backgroundColor" />
    </method>
    <method name="setTextContent" returnType="void">
      <param type="String[]" name="text" />
      <param type="int" name="nbRow" />
      <param type="int" name="nbCol" />
    </method>
    <method name="setCenterPosition" returnType="void">
      <param type="double" name="centerX" />
      <param type="double" name="centerY" />
      <param type="double" name="centerZ" />
    </method>
    <method name="drawTextContent" returnType="double[]">
    </method>
    <method name="getScreenBoundingBox" returnType="double[]">
      <param type="double" name="centerPixX" />
      <param type="double" name="centerPixY" />
      <param type="double" name="centerPixZ" />
    </method>
    <method name="updateParentFigure" returnType="double[]">
      <param type="int" name="parentFigureIndex" />
    </method>
  </object>
</package>
